---
apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterPreference
metadata:
  annotations:
    iconClass: icon-linux
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
    openshift.io/display-name: Linux Virtio Transitional Guest
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
    tags: hidden,kubevirt,linux-virtio-transitional
  creationTimestamp: "2025-10-29T11:55:02Z"
  generation: 1
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    instancetype.kubevirt.io/common-instancetypes-version: 1.3.1-41-ga46e70a1
    instancetype.kubevirt.io/os-type: linux
    instancetype.kubevirt.io/vendor: redhat.com
  managedFields:
  - apiVersion: instancetype.kubevirt.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:iconClass: {}
          f:kubevirt.io/generation: {}
          f:kubevirt.io/install-strategy-identifier: {}
          f:kubevirt.io/install-strategy-registry: {}
          f:kubevirt.io/install-strategy-version: {}
          f:openshift.io/display-name: {}
          f:openshift.io/documentation-url: {}
          f:openshift.io/provider-display-name: {}
          f:openshift.io/support-url: {}
          f:tags: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:instancetype.kubevirt.io/common-instancetypes-version: {}
          f:instancetype.kubevirt.io/os-type: {}
          f:instancetype.kubevirt.io/vendor: {}
      f:spec:
        .: {}
        f:annotations:
          .: {}
          f:vm.kubevirt.io/os: {}
        f:devices:
          .: {}
          f:preferredDiskBus: {}
          f:preferredInterfaceModel: {}
          f:preferredRng: {}
          f:preferredUseVirtioTransitional: {}
    manager: virt-operator
    operation: Update
    time: "2025-10-29T13:26:26Z"
  name: linux.virtiotransitional
  resourceVersion: "2234530"
  uid: 7785241a-1c53-415b-adec-3af990d2c700
spec:
  annotations:
    vm.kubevirt.io/os: linux
  devices:
    preferredDiskBus: virtio
    preferredInterfaceModel: virtio
    preferredRng: {}
    preferredUseVirtioTransitional: true
